---
openapi: 3.0.3
info:
  title: Grondwatersamenstellingsonderzoek (GAR)
  description: "Landelijke Voorziening Basisregistratie Ondergrond (BRO), uitgifte\
    \ en validatie Grondwatersamenstellingsonderzoek (Groundwater Analysis Report,\
    \ GAR)."
  contact:
    name: BRO Servicedesk
    url: https://basisregistratieondergrond.nl/service-contact/
    email: support@broservicedesk.nl
  version: 2.179.2
tags:
- name: Experimenteel
paths:
  /gm/gar/v1/bro-ids:
    get:
      summary: Lijst van GAR BRO-IDs
      description: "Haalt de lijst van GAR bro-ids op waarvoor [bronhouder](https://basisregistratieondergrond.nl/service-contact/formulieren/aangemeld-bro/)\
        \ verantwoordelijk is."
      operationId: bro-ids
      parameters:
      - name: bronhouder
        in: query
        description: Het kvk (kamer van koophandel) nummer van een GAR bronhouder
        required: true
        schema:
          type: string
        example: 12345678
      - name: registered
        in: query
        description: "Registered is een optionele parameter, bij afwezigheid geeft\
          \ deze methode alle GAR BRO-IDs terug onafhankelijk of die wel/niet uit\
          \ registratie zijn genomen. <BR>registered = ja geeft alleen BRO-IDs terug\
          \ die in registratie zijn genomen. <BR>registered = nee geeft alleen BRO-IDs\
          \ terug die uit registratie zijn genomen."
        schema:
          type: string
      responses:
        "200":
          description: De Lijst van GAR BRO-IDs voor dit registratie object type waarvoor
            bronhouder verantwoordelijk is.
          content:
            application/json: {}
        "400":
          description: Er bevinden zich andere fouten in het GAR verzoek.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ServiceError"
  /gm/gar/v1/objects/{broId}:
    get:
      summary: "Haalt een Grondwatersamenstellingsonderzoek ( groundwater level dossier,\
        \ GAR) op op basis van een BRO-ID"
      description: "Haal een Grondwatersamenstellingsonderzoek op op basis van een\
        \ BRO-ID. De operatie retourneert een object op basis van het BRO-ID als een\
        \ 'O' (actuele situatie), of 'DO' (uit registratie) als IMBRO XML. De andere\
        \ variant 'O-DP' is niet ondersteund omdat hier authenticatie / autorisatie\
        \ voor nodig is (er worden bronhouder gevoelige gegevens terug gegeven). Gebruik\
        \ hiervoor de 'DigiKoppeling' webservice.Zie [hier](https://www.bro-productomgeving.nl/bpo/latest/grondwatermonitoring/grondwatersamenstellingsonderzoek-gar/gar-berichtencatalogus-uitgiftewebservice)\
        \ voor meer info."
      operationId: objects
      parameters:
      - name: broId
        in: path
        description: Het BRO-ID van het GAR object.
        required: true
        content:
          text/plain:
            schema:
              type: string
      - name: requestReference
        in: query
        description: Een optionele GAR referentie van de gebruiker. "-" wordt aangenomen
          bij afwezigheid.
        schema:
          type: string
        example: Mijn-GAR-object-aanvraag-000001
      responses:
        "200":
          description: Het aangevraagde registratie object dan wel een afwijzing van
            het GAR verzoek.
          content:
            application/xml: {}
        "400":
          description: Er bevinden zich andere fouten in het GAR verzoek.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ServiceError"
  /gm/gar/v1/table/dispatch:
    post:
      tags:
      - Experimenteel
      summary: Gegevens van grondwatersamenstellingsonderzoek op basis van een uitgifteresultaat.
      description: Gegevens van grondwatersamenstellingsonderzoek in tabelvorm als
        JSON object
      operationId: dispatch
      requestBody:
        content:
          text/plain:
            schema:
              $ref: "#/components/schemas/DispatchResponse"
            examples:
              dispatchDataResponseType:
                $ref: "#/components/examples/DISPATCH_DATA"
          application/xml:
            schema:
              $ref: "#/components/schemas/DispatchResponse"
            examples:
              dispatchDataResponseType:
                $ref: "#/components/examples/DISPATCH_DATA"
      responses:
        "200":
          description: Gegevens van grondwatersamenstellingsonderzoek.
          content:
            application/json: {}
        "400":
          description: Er bevinden zich andere fouten die het onmogelijk maken om
            een gegevensset te maken. Biedt het document eerst ter validatie aan aan
            de validatie service.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ServiceError"
  /gm/gar/v1/table/registration:
    post:
      tags:
      - Experimenteel
      summary: Gegevens van grondwatersamenstellingsonderzoek op basis van een registratieverzoek.
      description: Gegevens van grondwatersamenstellingsonderzoek in tabelvorm als
        JSON object
      operationId: registration
      requestBody:
        content:
          application/xml:
            schema:
              $ref: "#/components/schemas/RegistrationRequest"
            examples:
              registrationRequestType:
                $ref: "#/components/examples/REGISTRATION_REQUEST"
      responses:
        "200":
          description: Gegevens van grondwatersamenstellingsonderzoek.
          content:
            text/plain: {}
            application/json: {}
        "400":
          description: Er bevinden zich andere fouten die het onmogelijk maken om
            een gegevensset te maken. Biedt het document eerst ter validatie aan aan
            de validatie service.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ServiceError"
components:
  schemas:
    ConstraintViolationError:
      type: object
      properties:
        index:
          format: int32
          type: integer
        message:
          type: string
        propertyPath:
          type: string
    ConstraintViolationErrors:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: "#/components/schemas/ConstraintViolationError"
    DispatchResponse:
      type: object
      xml:
        name: dispatchResponse
    RegistrationRequest:
      type: object
      xml:
        name: registrationRequest
    ServiceError:
      type: object
      properties:
        title:
          type: string
        description:
          type: string
        errorCode:
          format: int32
          type: integer
  examples:
    REGISTRATION_REQUEST:
      value: |-
        <?xml version="1.0" encoding="UTF-8"?>
        <registrationRequest xmlns="http://www.broservices.nl/xsd/isgar/1.0">
            <requestReference xmlns="http://www.broservices.nl/xsd/brocommon/3.0">GAR_Registration_1000006130</requestReference>
            <deliveryAccountableParty xmlns="http://www.broservices.nl/xsd/brocommon/3.0">30276683</deliveryAccountableParty>
            <qualityRegime xmlns="http://www.broservices.nl/xsd/brocommon/3.0">IMBRO/A</qualityRegime>
            <sourceDocument xmlns="http://www.broservices.nl/xsd/isgar/1.0">
                <GAR xmlns="http://www.broservices.nl/xsd/isgar/1.0" xmlns:garcom="http://www.broservices.nl/xsd/garcommon/1.0" xmlns:brocom="http://www.broservices.nl/xsd/brocommon/3.0"
                     xmlns:gml="http://www.opengis.net/gml/3.2" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" gml:id="GAR_Registration_1000006130">
                    <objectIdAccountableParty>GMW000000038823_1</objectIdAccountableParty>
                    <qualityControlMethod codeSpace="urn:bro:gar:QualityControlMethod">onbekend</qualityControlMethod>
                    <groundwaterMonitoringNet>
                        <garcom:GroundwaterMonitoringNet gml:id="GMN_1000000002">
                            <garcom:broId>GMN000000000523</garcom:broId>
                        </garcom:GroundwaterMonitoringNet>
                    </groundwaterMonitoringNet>
                    <monitoringPoint>
                        <garcom:GroundwaterMonitoringTube gml:id="GMW_1000000005">
                            <garcom:broId>GMW000000038823</garcom:broId>
                            <garcom:tubeNumber>1</garcom:tubeNumber>
                        </garcom:GroundwaterMonitoringTube>
                    </monitoringPoint>
                    <fieldResearch>
                        <garcom:samplingDateTime>1984-06-06T12:00:00+01:00</garcom:samplingDateTime>
                        <garcom:samplingOperator xsi:nil="true"/>
                        <garcom:samplingStandard codeSpace="urn:bro:gar:SamplingStandard">onbekend</garcom:samplingStandard>
                        <garcom:samplingDevice>
                            <garcom:pumpType codeSpace="urn:bro:gar:PumpType">onderwaterpomp</garcom:pumpType>
                        </garcom:samplingDevice>
                        <garcom:fieldObservation>
                            <garcom:abnormalityInCooling>nee</garcom:abnormalityInCooling>
                            <garcom:abnormalityInDevice>nee</garcom:abnormalityInDevice>
                            <garcom:pollutedByEngine>nee</garcom:pollutedByEngine>
                            <garcom:filterAerated>onbekend</garcom:filterAerated>
                            <garcom:groundWaterLevelDroppedTooMuch>onbekend</garcom:groundWaterLevelDroppedTooMuch>
                            <garcom:abnormalFilter>nee</garcom:abnormalFilter>
                            <garcom:sampleAerated>onbekend</garcom:sampleAerated>
                            <garcom:hoseReused>ja</garcom:hoseReused>
                            <garcom:temperatureDifficultToMeasure>nee</garcom:temperatureDifficultToMeasure>
                        </garcom:fieldObservation>
                    </fieldResearch>
                    <laboratoryAnalysis>
                        <garcom:responsibleLaboratory xsi:nil="true"/>
                        <garcom:analysisProcess>
                            <garcom:analysisDate>
                                <brocom:date>1984-06-06</brocom:date>
                            </garcom:analysisDate>
                            <garcom:analyticalTechnique codeSpace="urn:bro:gar:AnalyticalTechnique" xsi:nil="true"/>
                            <garcom:valuationMethod codeSpace="urn:bro:gar:ValuationMethod" xsi:nil="true"/>
                            <garcom:analysis>
                                <garcom:parameter>3548</garcom:parameter>
                                <garcom:analysisMeasurementValue uom="mS/m">80.230000</garcom:analysisMeasurementValue>
                                <garcom:qualityControlStatus codeSpace="urn:bro:gar:QualityControlStatus">onbekend</garcom:qualityControlStatus>
                            </garcom:analysis>
                        </garcom:analysisProcess>
                        <garcom:analysisProcess>
                            <garcom:analysisDate>
                                <brocom:date>1984-06-06</brocom:date>
                            </garcom:analysisDate>
                            <garcom:analyticalTechnique codeSpace="urn:bro:gar:AnalyticalTechnique" xsi:nil="true"/>
                            <garcom:valuationMethod codeSpace="urn:bro:gar:ValuationMethod" xsi:nil="true"/>
                            <garcom:analysis>
                                <garcom:parameter>1398</garcom:parameter>
                                <garcom:analysisMeasurementValue uom="1">7.790000</garcom:analysisMeasurementValue>
                                <garcom:qualityControlStatus codeSpace="urn:bro:gar:QualityControlStatus">onbekend</garcom:qualityControlStatus>
                            </garcom:analysis>
                        </garcom:analysisProcess>
                        <garcom:analysisProcess>
                            <garcom:analysisDate>
                                <brocom:date>1984-06-06</brocom:date>
                            </garcom:analysisDate>
                            <garcom:analyticalTechnique codeSpace="urn:bro:gar:AnalyticalTechnique" xsi:nil="true"/>
                            <garcom:valuationMethod codeSpace="urn:bro:gar:ValuationMethod" xsi:nil="true"/>
                            <garcom:analysis>
                                <garcom:parameter>1508</garcom:parameter>
                                <garcom:analysisMeasurementValue uom="mg/l">71.000000</garcom:analysisMeasurementValue>
                                <garcom:qualityControlStatus codeSpace="urn:bro:gar:QualityControlStatus">onbekend</garcom:qualityControlStatus>
                            </garcom:analysis>
                        </garcom:analysisProcess>
                    </laboratoryAnalysis>
                </GAR>
            </sourceDocument>
        </registrationRequest>
    DISPATCH_DATA:
      value: |-
        <?xml version="1.0" encoding="UTF-8"?>
        <ns4:dispatchDataResponse xmlns:ns5="http://www.broservices.nl/xsd/garcommon/1.0"
                                  xmlns:ns2="http://www.opengis.net/gml/3.2"
                                  xmlns:ns4="http://www.broservices.nl/xsd/dsgar/1.0" xmlns:ns3="http://www.w3.org/1999/xlink"
                                  xmlns="http://www.broservices.nl/xsd/brocommon/3.0">
            <responseType>dispatch</responseType>
            <dispatchTime>2020-06-24T11:57:18+01:00</dispatchTime>
            <ns4:dispatchDocument ns3:type="simple">
                <ns4:GAR_O ns2:id="BRO_0004">
                    <broId>GAR000000000041</broId>
                    <qualityRegime>IMBRO/A</qualityRegime>
                    <ns4:registrationHistory>
                        <objectRegistrationTime>2020-06-22T07:42:08+01:00</objectRegistrationTime>
                        <registrationStatus codeSpace="urn:bro:RegistrationStatus">voltooid</registrationStatus>
                        <registrationCompletionTime>2020-06-22T07:42:08+01:00</registrationCompletionTime>
                        <corrected>nee</corrected>
                        <underReview>nee</underReview>
                        <deregistered>nee</deregistered>
                        <reregistered>nee</reregistered>
                    </ns4:registrationHistory>
                    <ns4:qualityControlMethod codeSpace="urn:bro:gar:QualityControlMethod">handboekProvinciesRIVMv2017
                    </ns4:qualityControlMethod>
                    <ns4:groundwaterMonitoringNet ns3:type="simple">
                        <ns5:GroundwaterMonitoringNet ns2:id="BRO_0001">
                            <ns5:broId>GMN123456789012</ns5:broId>
                        </ns5:GroundwaterMonitoringNet>
                    </ns4:groundwaterMonitoringNet>
                    <ns4:groundwaterMonitoringNet ns3:type="simple">
                        <ns5:GroundwaterMonitoringNet ns2:id="BRO_0002">
                            <ns5:broId>GMN210987654321</ns5:broId>
                        </ns5:GroundwaterMonitoringNet>
                    </ns4:groundwaterMonitoringNet>
                    <ns4:monitoringPoint ns3:type="simple">
                        <ns5:GroundwaterMonitoringTube ns2:id="BRO_0003">
                            <ns5:broId>GMW123456789012</ns5:broId>
                            <ns5:tubeNumber>3</ns5:tubeNumber>
                        </ns5:GroundwaterMonitoringTube>
                    </ns4:monitoringPoint>
                    <ns4:fieldResearch>
                        <ns5:samplingDateTime>2018-10-23T16:59:32+01:00</ns5:samplingDateTime>
                        <ns5:samplingOperator xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:nil="true"/>
                        <ns5:samplingStandard codeSpace="urn:bro:gar:SamplingStandard">NEN5744v2011-A1v2013
                        </ns5:samplingStandard>
                        <ns5:samplingDevice>
                            <ns5:pumpType codeSpace="urn:bro:gar:PumpType">onderwaterpomp</ns5:pumpType>
                        </ns5:samplingDevice>
                        <ns5:fieldObservation>
                            <ns5:primaryColour codeSpace="urn:bro:gar:Colour">wit</ns5:primaryColour>
                            <ns5:secondaryColour codeSpace="urn:bro:gar:Colour">grijs</ns5:secondaryColour>
                            <ns5:colourStrength codeSpace="urn:bro:gar:ColourStrength">licht</ns5:colourStrength>
                            <ns5:abnormalityInCooling>ja</ns5:abnormalityInCooling>
                            <ns5:abnormalityInDevice>nee</ns5:abnormalityInDevice>
                            <ns5:pollutedByEngine>nee</ns5:pollutedByEngine>
                            <ns5:filterAerated>ja</ns5:filterAerated>
                            <ns5:groundWaterLevelDroppedTooMuch>nee</ns5:groundWaterLevelDroppedTooMuch>
                            <ns5:abnormalFilter>nee</ns5:abnormalFilter>
                            <ns5:sampleAerated>ja</ns5:sampleAerated>
                            <ns5:hoseReused>nee</ns5:hoseReused>
                            <ns5:temperatureDifficultToMeasure>nee</ns5:temperatureDifficultToMeasure>
                        </ns5:fieldObservation>
                        <ns5:fieldMeasurement>
                            <ns5:parameter>3548</ns5:parameter>
                            <ns5:fieldMeasurementValue uom="uS/cm">15.123</ns5:fieldMeasurementValue>
                            <ns5:qualityControlStatus codeSpace="urn:bro:gar:QualityControlStatus">onbekend</ns5:qualityControlStatus>
                        </ns5:fieldMeasurement>
                    </ns4:fieldResearch>
                    <ns4:laboratoryAnalysis>
                        <ns5:responsibleLaboratory xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:nil="true"/>
                        <ns5:analysisProcess>
                            <ns5:analysisDate>
                                <date>2018-10-25</date>
                            </ns5:analysisDate>
                            <ns5:analyticalTechnique codeSpace="urn:bro:gar:AnalyticalTechnique">AAS</ns5:analyticalTechnique>
                            <ns5:valuationMethod codeSpace="urn:bro:gar:ValuationMethod">CIW</ns5:valuationMethod>
                            <ns5:analysis>
                                <ns5:parameter>441</ns5:parameter>
                                <ns5:analysisMeasurementValue uom="ug/l">0.1</ns5:analysisMeasurementValue>
                                <ns5:limitSymbol codeSpace="urn:bro:gar:LimitSymbol">LT</ns5:limitSymbol>
                                <ns5:reportingLimit uom="ug/l">0.1</ns5:reportingLimit>
                                <ns5:qualityControlStatus codeSpace="urn:bro:gar:QualityControlStatus">afgekeurd</ns5:qualityControlStatus>
                            </ns5:analysis>
                        </ns5:analysisProcess>
                        <ns5:analysisProcess>
                            <ns5:analysisDate>
                                <date>2018-10-25</date>
                            </ns5:analysisDate>
                            <ns5:analyticalTechnique codeSpace="urn:bro:gar:AnalyticalTechnique">IR</ns5:analyticalTechnique>
                            <ns5:valuationMethod codeSpace="urn:bro:gar:ValuationMethod">AQUOKIT</ns5:valuationMethod>
                            <ns5:analysis>
                                <ns5:parameter>1522</ns5:parameter>
                                <ns5:analysisMeasurementValue uom="Cel">12.2</ns5:analysisMeasurementValue>
                                <ns5:qualityControlStatus codeSpace="urn:bro:gar:QualityControlStatus">onbeslist</ns5:qualityControlStatus>
                            </ns5:analysis>
                        </ns5:analysisProcess>
                    </ns4:laboratoryAnalysis>
                    <ns4:laboratoryAnalysis>
                        <ns5:responsibleLaboratory>
                            <chamberOfCommerceNumber>27376655</chamberOfCommerceNumber>
                        </ns5:responsibleLaboratory>
                        <ns5:analysisProcess>
                            <ns5:analysisDate>
                                <date>2018-10-25</date>
                            </ns5:analysisDate>
                            <ns5:analyticalTechnique codeSpace="urn:bro:gar:AnalyticalTechnique">AA</ns5:analyticalTechnique>
                            <ns5:valuationMethod codeSpace="urn:bro:gar:ValuationMethod">DESK</ns5:valuationMethod>
                            <ns5:analysis>
                                <ns5:parameter>4445</ns5:parameter>
                                <ns5:analysisMeasurementValue uom="ug/l">0.7</ns5:analysisMeasurementValue>
                                <ns5:reportingLimit uom="ug/l">0.1</ns5:reportingLimit>
                                <ns5:qualityControlStatus codeSpace="urn:bro:gar:QualityControlStatus">goedgekeurd</ns5:qualityControlStatus>
                            </ns5:analysis>
                        </ns5:analysisProcess>
                    </ns4:laboratoryAnalysis>
                </ns4:GAR_O>
            </ns4:dispatchDocument>
        </ns4:dispatchDataResponse>
